Skip Menu |
 

This queue is for tickets about the App-perlbrew CPAN distribution.

Report information
The Basics
Id: 116087
Status: new
Priority: 0/
Queue: App-perlbrew

People
Owner: Nobody in particular
Requestors: dcollinsn [...] gmail.com
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: Debugging is automatically (sometimes forcibly) selected in old perls
Date: Tue, 12 Jul 2016 14:51:57 -0400
To: bug-App-perlbrew [...] rt.cpan.org
From: Dan Collins <dcollinsn [...] gmail.com>
Download (untitled) / with headers
text/plain 848b
Hello, Using perlbrew's install-multiple command to install every released perl version results in some odd behavior. I am using the flags: -j 4 -n --noman --both thread --both ld -Doptimize='-O3 -g' -Dcc='ccache gcc-6' With this configuration, versions of perl less than or equal to 5.13.9 are built with an undisclosed -DDEBUGGING. Using -UDEBUGGING on the perlbrew command line allows a non-debugging 5.13.9 to be installed, but 5.6.0 is still debugging. perl5.6.0 -V shows that -UDEBUGGING was passed to configure, but -DDEBUGGING was passed to gcc. Notably, this perl is installed as 5.13.9, not 5.13.9-debug. Presumably, running --both debug would install two debugging perls. This is surprising and inconvenient. I'll let you know exactly where -DDEBUGGING moves from mandatory to default once this run finishes. Thanks, Dan Collins


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.